| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/allocator.h File Reference

Basic allocator classes. More...

`#include "csutil/alignedalloc.h"`
`#include "csutil/memdebug.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
namespace | CS::Memory
## Classes
class | CS::Memory::AllocatorAlign< A >
| This class implements an allocator policy which aligns the first element on given byte boundary. More...
class | CS::Memory::AllocatorMalloc
| A default memory allocator that allocates with cs_malloc(). More...
struct | CS::Memory::AllocatorPointerWrapper< T, Allocator >
| Class to store a pointer that is allocated from Allocator, to eliminate overhead from a possibly empty Allocator. More...
class | CS::Memory::LocalBufferAllocator< T, N, ExcessAllocator >
| An allocator with a small local buffer. More...

## Detailed Description

Basic allocator classes.

Definition in file allocator.h.